import { PetAction } from '../types/PetUpdateActionRequest';

export function isGatheringAction(action: PetAction): boolean {
  return action.startsWith('GATHERING_');
}

export function getResourceFromAction(action: PetAction): string | null {
  if (!isGatheringAction(action)) return null;
  return action.replace('GATHERING_', '').toLowerCase();
}

export function formatResourceName(resource: string): string {
  return resource.charAt(0).toUpperCase() + resource.slice(1);
}